Last Comment Bug 217203 - Book of Mozilla not on mozilla.org
: Book of Mozilla not on mozilla.org
Status: VERIFIED FIXED
:
Product: www.mozilla.org
Classification: Other
Component: General (show other bugs)
: other
: All All
: -- normal
: ---
Assigned To: Nick Bebout
: Daniel Wang
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-25 02:16 PDT by dolphinling
Modified: 2012-08-23 00:16 PDT (History)
8 users (show)
See Also:
Locale:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Known verses of The Book of Mozilla (4.09 KB, text/html)
2004-05-05 15:59 PDT, Valerio Capello
no flags Details
Consistent formatting and valid XHTML 1.1 (3.63 KB, text/html)
2004-05-05 19:41 PDT, dolphinling
no flags Details

Description dolphinling 2003-08-25 02:16:04 PDT
Book of Mozilla should have authoritative version on mozilla.org servers.
(currently users [readers?] are forced to google for it, and get incomplete,
often buggy versions)
Comment 1 Nick Bebout 2004-02-12 20:51:40 PST
I could create a page on m.o if TPTB wouldn't mind, and also if I knew where to
put it.
Comment 2 Daniel Wang 2004-02-13 21:12:34 PST
it's there [on mozilla.org], but it's lost :-p
Comment 3 Valerio Capello 2004-05-05 15:59:53 PDT
Created attachment 147768 [details]
Known verses of The Book of Mozilla

I've collected the three known verses from "The Book of Mozilla" in one HTML
Document (verses are commented within the source code):


10th December 1994: Netscape Navigator 1.0 was released
This verse announces the birth of the beast (Netscape) and warns bad coders (up
to Netscape 3, when you watched the HTML source code with the internal viewer,
bad tags blinked).

And the beast shall come forth surrounded by a roiling cloud of vengeance. The
house of the unbelievers shall be razed and they shall be scorched to the
earth. Their tags shall blink until the end of days.
from The Book of Mozilla, 12:10


31st March 1998: the Netscape Navigator source code was released
The source code is made available to the legion of thousands of coders of the
open source community, that will fight against the followers of Mammon
(Microsoft Internet Explorer).

And the beast shall be made legion . Its numbers shall be increased a thousand
thousand fold. The din of a million keyboards like unto a great storm shall
cover the earth, and the followers of Mammon shall tremble .
from The Book of Mozilla, 3:31
(Red Letter Edition)


15th July 2003: AOL closed its Netscape division and the Mozilla foundation was
created
The beast died (AOL closed its Netscape division) but immediately rose from its
ashes (the creation of the Mozilla foundation and the Firebird browser,
although the name was later changed to Firefox).

And so at last the beast fell and the unbelievers rejoiced. But all was not
lost, for from the ash rose a great bird. The bird gazed down upon the
unbelievers and cast fire and thunder upon them. For the beast had been reborn
with its strength renewed, and the followers of Mammon cowered in horror.
from The Book of Mozilla, 7:15
Comment 4 dolphinling 2004-05-05 19:41:32 PDT
Created attachment 147781 [details]
Consistent formatting and valid XHTML 1.1

Love the commenting. =)

This just puts consistent formatting on the whole thing and makes it valid
XHTML 1.1 again.
Comment 5 Owen Marshall (Not reading bugmail) 2004-08-08 13:49:01 PDT
Well, where should it go? dw, you said it is lost, so it was on the webtree at
some time?

(sidenote, someone better write an update for the glorious Fx/Tb launch ;))
Comment 6 Jesse Ruderman 2004-08-15 16:40:57 PDT
Hixie, you have a large collection of Book of Mozilla quotes.  Is it still on
the web?
Comment 7 Hixie (not reading bugmail) 2004-08-15 17:02:49 PDT
http://damowmow.com/playground/book.txt
Comment 8 Anne (:annevk) 2004-09-10 13:29:10 PDT
Should this still carry the Netscape license? If we are going for XHTML it
should have a XHTML MIME type. I'm not sure if we want to do that...
Comment 9 Nick Bebout 2004-09-29 19:25:00 PDT
fantasai,

May I check this in into the website?  If so, where would be an appropriate place?

I am going to convert it back to html because that is what the rest of the site
is, if noone objects.
Comment 10 Nick Bebout 2004-09-29 19:28:26 PDT
Actually, I could leave it as XHTML and use .htaccess and/or php to serve it as
application/xhtml+xml
Comment 11 fantasai 2004-09-30 21:42:59 PDT
I'd go for http://mozilla.org/book/
(i.e. mozilla-org/html/book/index.html)
This gives us room to have individual pages as given in about:mozilla, if we want.
(e.g. /book/7.15 for the latest one)
Comment 12 Nick Bebout 2004-10-01 10:43:18 PDT
Taking.
Comment 13 Nick Bebout 2004-10-01 16:52:47 PDT
I:\moz\mozilla-org\html>cvs ci book book/index.xml
cvs commit: Examining book
RCS file: /cvsroot/mozilla-org/html/book/index.xml,v
done
Checking in book/index.xml;
/cvsroot/mozilla-org/html/book/index.xml,v  <--  index.xml
initial revision: 1.1
done
Comment 14 Nick Bebout 2004-10-02 15:28:06 PDT
FIXED.  I had to change it to HTML 4.01 so that index would work so you could
just go to http://www.mozilla.org/book.  If this gets any bigger, we may want to
consider moving them to separate files for each verse.

--
I:\moz\MOZILL~1\html\book>cvs ci
cvs commit: Examining .
RCS file: /cvsroot/mozilla-org/html/book/NOWRAP,v
done
Checking in NOWRAP;
/cvsroot/mozilla-org/html/book/NOWRAP,v  <--  NOWRAP
initial revision: 1.1
done
RCS file: /cvsroot/mozilla-org/html/book/index.html,v
done
Checking in index.html;
/cvsroot/mozilla-org/html/book/index.html,v  <--  index.html
initial revision: 1.1
done
Checking in index.xml;
/cvsroot/mozilla-org/html/book/index.xml,v  <--  index.xml
new revision: 1.3; previous revision: 1.2
done
Comment 15 Owen Marshall (Not reading bugmail) 2004-10-02 17:45:27 PDT
V FIXED
=D

Note You need to log in before you can comment on or make changes to this bug.